org.apache.olingo.odata2.api.ep.callback

## Interface OnReadInlineContent

-     public interface OnReadInlineContent

  Callback interface for the deep insert read calls (read of `` content). Typically the `receiveReadProperties(EntityProviderReadProperties, EdmNavigationProperty)` method is called when an inline navigation property is found and will be read.

  The `handleReadEntry(ReadEntryResult)` and `handleReadFeed(ReadFeedResult)` methods are called after the inline navigation property was read and deliver the read (de-serialized) entity or list of entities. If inlined navigation property is `nullable` and not set a `ReadEntryResult` is given with the `navigationPropertyName` and a `NULL` entry set.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleReadEntry(ReadEntryResult readEntryResult)` Handles reading (de-serialization) entry result.
    `void` | `handleReadFeed(ReadFeedResult readFeedResult)` Handles reading (de-serialization) entry result.
    `EntityProviderReadProperties` | `receiveReadProperties(EntityProviderReadProperties readProperties, EdmNavigationProperty navigationProperty)` Receive (request) to be used `EntityProviderReadProperties` to read the found inline navigation property (`>...`

- - ### Method Detail

    - #### receiveReadProperties

          EntityProviderReadProperties receiveReadProperties(EntityProviderReadProperties readProperties,
                                                             EdmNavigationProperty navigationProperty)
                                                      throws ODataApplicationException

      Receive (request) to be used `EntityProviderReadProperties` to read the found inline navigation property (`>...`).
      Parameters:
        `readProperties` - read properties which are used to read enclosing parent entity
        `navigationProperty` - emd navigation property information of found inline navigation property
      Returns:
        read properties which are used to read (de-serialize) found inline navigation property
      Throws:
        `ODataApplicationException`

    - #### handleReadEntry

          void handleReadEntry(ReadEntryResult readEntryResult)
                        throws ODataApplicationException

      Handles reading (de-serialization) entry result. The given `ReadEntryResult` object contains all contextual information about the de-serialized inline navigation property and the entry as `ODataEntry`.
      Parameters:
        `readEntryResult` - with contextual information about and de-serialized inlined navigation property as `ODataEntry`
      Throws:
        `ODataApplicationException`

    - #### handleReadFeed

          void handleReadFeed(ReadFeedResult readFeedResult)
                       throws ODataApplicationException

      Handles reading (de-serialization) entry result. The given `ReadFeedResult` object contains all contextual information about the de-serialized inline navigation property and the entry as a list of `ODataEntry`.
      Parameters:
        `readFeedResult` - with contextual information about and de-serialized inlined navigation property as a list of `ODataEntry`
      Throws:
        `ODataApplicationException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.